# Uses of Class
javax.crypto.KeyAgreementSpi

Packages that use KeyAgreementSpi
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KeyAgreementSpi in javax.crypto

Constructors in javax.crypto with parameters of type KeyAgreementSpi
Modifier
Constructor
Description
`protected`
`KeyAgreement(KeyAgreementSpi keyAgreeSpi, Provider provider, String algorithm)`
Creates a KeyAgreement object.